Roundup Tracker - Issues

Issue 2550989

classification
Title: Update uses of pyme
Type: rfe Severity: normal
Components: Mail interface Versions: devel
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: cmeerw Nosy List: ber, cmeerw, joseph_myers, schlatterbeck
Priority: Keywords: patch, python3

Created on 2018-08-02 23:30 by joseph_myers, last changed 2018-08-15 23:48 by joseph_myers.

Messages
msg6163 Author: [hidden] (joseph_myers) Date: 2018-08-02 23:30
pyme does not support Python 3.  It looks like the latest version of
that library, renamed, which does support Python 3, is:

https://dev.gnupg.org/source/gpgme/browse/master/lang/python/
https://pypi.org/project/gpg/

So Roundup should switch to using that in place of pyme when available,
which requires updating the pyme references in doc/installation.txt.

Note: as a Python 3 issue for the mail interface, it probably makes
sense first to update and merge the patches mentioned in issue2550970 to
stop using mimetools, as that's needed for the mail interface to be
usable at all with Python 3, with or without gpg support.
msg6183 Author: [hidden] (cmeerw) Date: 2018-08-12 09:46
seems to be a straightforward rename to use the new module:

https://bitbucket.org/cmeerw/roundup/commits/519572a328c4b6064f20985e1ed6
b692d983ba70
msg6184 Author: [hidden] (joseph_myers) Date: 2018-08-12 11:27
Note that commit is missing an update to doc/installation.txt where it 
mentions pyme.
msg6186 Author: [hidden] (cmeerw) Date: 2018-08-12 15:28
merged into default: b7fa56ced601

(also updated references in docs now)
msg6187 Author: [hidden] (cmeerw) Date: 2018-08-12 15:38
That doesn't seem to work that well with the ancient versions on the CI 
server... Question is, do/should we care?
msg6188 Author: [hidden] (joseph_myers) Date: 2018-08-12 15:48
I suppose it will be necessary for .travis.yml to build libgpgme11-dev 
locally (or use a suitable PPA if one exists, but I haven't found one).  
I think we certainly do want the CI to be able to run all the tests 
(without waiting for https://github.com/travis-ci/travis-ci/issues/5821 / 
https://github.com/travis-ci/travis-ci/issues/9460 to be fixed so we can 
just use a newer Ubuntu version in CI).
msg6189 Author: [hidden] (joseph_myers) Date: 2018-08-12 16:05
I think doc/upgrading.txt should also mention the new package you need to 
install if you were previously using the encryption support with pyme.
msg6192 Author: [hidden] (joseph_myers) Date: 2018-08-15 00:11
With the latest series of .travis.yml changes (up to a801eb13ab94), while 
the install of gpg doesn't fail, the relevant tests are still being 
skipped for some reason, so something about that package must be failing 
to work.
msg6193 Author: [hidden] (cmeerw) Date: 2018-08-15 06:18
probably just the PATH or LD_LIBRARY_PATH, I have pushed a change to set 
those.

BTW, I have now also experimented with running the tests on circleci.com, 
see https://circleci.com/bb/cmeerw/roundup-tracker (they offer Debian 
stretch based images)
msg6195 Author: [hidden] (joseph_myers) Date: 2018-08-15 11:07
Thanks, that seems to have fixed it so again there are no tests skipped
in CI with Python 2.  I think we now just need an entry in upgrading.txt
(to tell people using this functionality that they need to install the
new gpg module to continue to use it with the next release of Roundup)
to consider this issue done.
msg6196 Author: [hidden] (cmeerw) Date: 2018-08-15 20:40
added note to upgrading.txt
msg6197 Author: [hidden] (joseph_myers) Date: 2018-08-15 23:48
Thanks, so this is now fully done.
History
Date User Action Args
2018-08-15 23:48:59joseph_myerssetstatus: new -> fixed
messages: + msg6197
2018-08-15 20:40:08cmeerwsetmessages: + msg6196
2018-08-15 11:07:31joseph_myerssetmessages: + msg6195
2018-08-15 06:18:30cmeerwsetmessages: + msg6193
2018-08-15 00:11:30joseph_myerssetmessages: + msg6192
2018-08-13 06:52:12bersetnosy: + ber
2018-08-12 16:05:23joseph_myerssetmessages: + msg6189
2018-08-12 15:48:21joseph_myerssetmessages: + msg6188
2018-08-12 15:38:09cmeerwsetmessages: + msg6187
2018-08-12 15:28:08cmeerwsetresolution: fixed
messages: + msg6186
2018-08-12 11:27:01joseph_myerssetmessages: + msg6184
2018-08-12 09:46:28cmeerwsetkeywords: + patch
assignee: cmeerw
messages: + msg6183
nosy: + cmeerw
2018-08-03 07:58:27schlatterbecksetnosy: + schlatterbeck
2018-08-02 23:30:46joseph_myerscreate